import java.util.TreeMap;
import java.util.Map.Entry;

class Variable extends Terme {
    //TODO: TreeMap might look overkill
    TreeMap<Integer, Double> v;

    Variable() {
        v = new TreeMap<Integer, Double>();
        fill();
    }

    private void fill() {
        int i = 0;
        for (double d = -5.0; d <= 5.0; d = d + 0.25) {
            v.put(i, d);
            i++;
        }
    }

    public Entry<Integer, Double> getFirstEntry() {
        return v.firstEntry();
    }

    public Integer size() {
        return v.size();
    }

    public double evaluer() {
        return v.pollFirstEntry().getValue();
    }
}
